org.eclipse.wst.jsdt.chromium.debug.ui.editors

## Class JsCodeScanner

- java.lang.Object
- - BufferedRuleBasedScanner
  - - org.eclipse.wst.jsdt.chromium.debug.ui.editors.JsCodeScanner

    public class JsCodeScanner
    extends BufferedRuleBasedScanner

JavaScript code scanner for source code highlighting.

### Constructor Summary

Constructors
Constructor and Description
`JsCodeScanner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TextAttribute` `getCommentAttribute()`
`TextAttribute` `getJsDocAttribute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsCodeScanner

    public JsCodeScanner()

### Method Detail

#### getCommentAttribute

    public TextAttribute getCommentAttribute()

#### getJsDocAttribute

    public TextAttribute getJsDocAttribute()